# Uses of Interface
org.apache.avro.specific.SpecificRecord

Packages that use SpecificRecord
Package
Description
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of SpecificRecord in org.apache.avro.specific

Classes in org.apache.avro.specific with type parameters of type SpecificRecord
Modifier and Type
Class
Description
`class`
`SpecificRecordBuilderBase<T extends SpecificRecord>`
Abstract base class for specific RecordBuilder implementations.
Classes in org.apache.avro.specific that implement SpecificRecord
Modifier and Type
Class
Description
`class`
`SpecificExceptionBase`
Base class for specific exceptions.
`class`
`SpecificRecordBase`
Base class for generated record classes.
Methods in org.apache.avro.specific with parameters of type SpecificRecord
Modifier and Type
Method
Description
`int`
SpecificRecordBase.`compareTo(SpecificRecord that)`